<template>
  <div class="showcase-box">
    <swiper style="height: 100%" :options="swiperOptions" ref="showcaseSwiper">
      <swiper-slide v-for="event in events" :key="event.name">
        <div class="showcase-frame">
          <img :src="event.image_url" :alt="event.name" class="showcase-poster"/>
          <section class="showcase-text">
            <router-link :to="`/event/${event.id}`">
              <h2>{{event.name}}</h2>
            </router-link>
            <span class="showcase-description">
              {{event.description}}
              <br/><br/>
              {{localeStartTime(event)}}
            </span>
          </section>
        </div>
      </swiper-slide>
      <div class="swiper-button-prev" slot="button-prev"></div>
      <div class="swiper-button-next" slot="button-next"></div>
    </swiper>
  </div>
</template>

<script>
  import moment from 'moment'
  export default {
    name: "EventShowcase",
    props: ['events'],
    data: () => {
      return {
        swiperOptions: {
          navigation: {
            nextEl: '.swiper-button-next',
            prevEl: '.swiper-button-prev'
          }
        },
      }
    },
    methods: {
      localeStartTime(event) {
        return moment(event.start).locale("ru-RU").format("LLL");
      }
    }
  }
</script>

<style scoped>
.showcase-box {
  background-color: black;
  width: 100%;
  height: 100%;
  border-radius: 80px;
  border: gray solid 6px;
}

.showcase-frame {
  padding: 40px 75px;
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 40% 60%;
  grid-column-gap: 20px;
}

.showcase-poster {
  grid-row: 1;
  grid-column: 1;
  width: 100%;
  height: 100%;
  border-radius: 40px;
}

.showcase-text {
  grid-row: 1;
  grid-column: 2;
}
</style>
